Subject: [netmod] Re: Roman Danyliw's Discuss on draft-ietf-netmod-acl-extensions-15: (with DISCUSS and COMMENT)
From: Mahesh Jethanandani <[email-masked]>
To: Per Andersson <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Date: Fri, 4 Apr 2025 08:59:45 -0700
List-Id: NETMOD WG list <netmod.ietf.org>

[Pruning the list]

I agree that having a script like that would be helpful. How about a GitHub repository in netmod?

> On Apr 4, 2025, at 4:57 AM, Per Andersson <[email-masked]> wrote:
> 
> Hi!
> 
> I thought it was pretty neat to have stumbled upon a ready
> made method for generating IANA YANG modules from
> the IANA registry.
> 
> However, I understand that it might not be suitable to have in
> the draft. It was possible though for me as a YANG Doctor
> reviewer to suggest changes in the generation though with
> a patch.
> 
> Is there some guidance documented anywhere on how to
> generate the initial IANA YANG modules? I couldn't find
> anything on the IETF Wiki.
> 
> 
> --
> Per
> 

Mahesh Jethanandani
[email-masked]